Debian Bug report logs - #632871
Add support for cross-building perl modules

version graph

Package: dpkg-cross; Maintainer for dpkg-cross is Debian Embedded Group <debian-embedded@lists.debian.org>; Source for dpkg-cross is src:dpkg-cross.

Reported by: Steve McIntyre <steve.mcintyre@linaro.org>

Date: Wed, 6 Jul 2011 17:06:02 UTC

Severity: normal

Tags: patch

Found in version dpkg-cross/2.6.4

Fixed in version dpkg-cross/2.6.5

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#632871; Package dpkg-cross. (Wed, 06 Jul 2011 17:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve.mcintyre@linaro.org>:
New Bug report received and forwarded. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Wed, 06 Jul 2011 17:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve.mcintyre@linaro.org>
To: submit@bugs.debian.org
Subject: Add support for cross-building perl modules
Date: Wed, 6 Jul 2011 18:03:50 +0100
Package: dpkg-cross
Version: 2.6.4
Tags: patch
User: crossbuild@debian.org
Usertags: cross

Hi,

I'm working on cross-building perl modules at the moment, which also
means cross-building perl itself. Then the Config.pm and
Config_heavy.pl config scripts need to be included in the crossed
perl-base package. This patch makes dpkg-cross support that.

--- /usr/bin/dpkg-cross~        2011-04-06 17:28:11.000000000 +0000
+++ /usr/bin/dpkg-cross 2011-07-06 10:54:15.357147784 +0000
@@ -864,6 +864,9 @@
                } elsif (m:^/usr/(lib/.*/tclConfig.sh):) {
                        # the tcl cross-configure script
                        link_file("$src$_", "$dst$crossdir/$1") or goto fail;
+               } elsif (m:^/usr/(lib/.*/(Config.pm|Config_heavy.pl)):) {
+                       # the perl cross-configure scripts
+                       link_file("$src$_", "$dst$crossdir/$1") or goto fail;
                } else {
                        # everything else
                        next;


Cheers,
-- 
Steve McIntyre
steve.mcintyre@linaro.org





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#632871; Package dpkg-cross. (Sun, 17 Jul 2011 15:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Sun, 17 Jul 2011 15:54:05 GMT) Full text and rfc822 format available.

Message #10 received at 632871@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 632871@bugs.debian.org
Cc: 632871-submitter@bugs.debian.org
Subject: Problem in dpkg-cross/perl regexp
Date: Sun, 17 Jul 2011 16:51:20 +0100
[Message part 1 (text/plain, inline)]
tag 632871 - patch
tag 632871 + moreinfo
quit

The problem with the patch is that it isn't specific for perl itself.

$ find /usr/lib -name Config.pm 
/usr/lib/perl/5.12.4/Config.pm
/usr/lib/perl/5.12.4/Encode/Config.pm
/usr/lib/perl5/AptPkg/Config.pm

First one is for perl-base, second perl (are both relevant?), third the
Apt perl bindings. :-(

packages.debian.org search lists quite a few more (parrot and a few
random perl modules). (Is Config_heavy.pm a local / during build-only
module? Can't find that in Debian.)

I can't see a good way out of this though. The name of the file is just
too obvious and common and the location varies by version.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Message sent on to Steve McIntyre <steve.mcintyre@linaro.org>:
Bug#632871. (Sun, 17 Jul 2011 15:54:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#632871; Package dpkg-cross. (Mon, 18 Jul 2011 13:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve.mcintyre@linaro.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Mon, 18 Jul 2011 13:30:03 GMT) Full text and rfc822 format available.

Message #18 received at 632871@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve.mcintyre@linaro.org>
To: Neil Williams <codehelp@debian.org>, 632871@bugs.debian.org
Subject: Re: Bug#632871: Problem in dpkg-cross/perl regexp
Date: Mon, 18 Jul 2011 14:25:33 +0100
On Sun, Jul 17, 2011 at 04:51:20PM +0100, Neil Williams wrote:
>tag 632871 - patch
>tag 632871 + moreinfo
>quit
>
>The problem with the patch is that it isn't specific for perl itself.
>
>$ find /usr/lib -name Config.pm 
>/usr/lib/perl/5.12.4/Config.pm
>/usr/lib/perl/5.12.4/Encode/Config.pm
>/usr/lib/perl5/AptPkg/Config.pm
>
>First one is for perl-base, second perl (are both relevant?), third the
>Apt perl bindings. :-(

Bugger, yes.

>packages.debian.org search lists quite a few more (parrot and a few
>random perl modules). (Is Config_heavy.pm a local / during build-only
>module? Can't find that in Debian.)

They're both generated by the cross-build of perl (#633884). Config.pm
is the core config script used by the Makefile in a perl module to
work out config. It, in turn, requires Config_heavy.pm.

>I can't see a good way out of this though. The name of the file is just
>too obvious and common and the location varies by version.

  \/usr\/lib\/perl\/v\d+\.\d+\.\d+\/Config.pm

might work? i.e. tie it down. Of course, with m-a this path is going
to change at the same time as a lot of dpkg-cross has to change (or
even goes away?)

Cheers,
-- 
Steve McIntyre
steve.mcintyre@linaro.org





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#632871; Package dpkg-cross. (Mon, 18 Jul 2011 13:33:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve.mcintyre@linaro.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Mon, 18 Jul 2011 13:33:14 GMT) Full text and rfc822 format available.

Message #23 received at 632871@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve.mcintyre@linaro.org>
To: Neil Williams <codehelp@debian.org>, 632871@bugs.debian.org
Subject: Re: Bug#632871: Problem in dpkg-cross/perl regexp
Date: Mon, 18 Jul 2011 14:30:44 +0100
On Mon, Jul 18, 2011 at 02:25:33PM +0100, Steve McIntyre wrote:
>On Sun, Jul 17, 2011 at 04:51:20PM +0100, Neil Williams wrote:
>>tag 632871 - patch
>>tag 632871 + moreinfo
>>quit
>>
>>The problem with the patch is that it isn't specific for perl itself.
>>
>>$ find /usr/lib -name Config.pm 
>>/usr/lib/perl/5.12.4/Config.pm
>>/usr/lib/perl/5.12.4/Encode/Config.pm
>>/usr/lib/perl5/AptPkg/Config.pm
>>
>>First one is for perl-base, second perl (are both relevant?), third the
>>Apt perl bindings. :-(
>
>Bugger, yes.
>
>>packages.debian.org search lists quite a few more (parrot and a few
>>random perl modules). (Is Config_heavy.pm a local / during build-only
>>module? Can't find that in Debian.)
>
>They're both generated by the cross-build of perl (#633884). Config.pm
>is the core config script used by the Makefile in a perl module to
>work out config. It, in turn, requires Config_heavy.pm.
>
>>I can't see a good way out of this though. The name of the file is just
>>too obvious and common and the location varies by version.
>
>  \/usr\/lib\/perl\/v\d+\.\d+\.\d+\/Config.pm
>
>might work? i.e. tie it down. Of course, with m-a this path is going
>to change at the same time as a lot of dpkg-cross has to change (or
>even goes away?)

Just tested:

                } elsif (m:^/usr/(lib/perl/\d+\.\d+\.\d/(Config.pm|Config_heavy.pl)):) {
                        # the perl cross-configure scripts
                        link_file("$src$_", "$dst$crossdir/$1") or goto fail;

seems to do the right thing for me, and is much more specific. Is that
better for you?

Cheers,
-- 
Steve McIntyre
steve.mcintyre@linaro.org





Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Tue, 19 Jul 2011 19:21:12 GMT) Full text and rfc822 format available.

Notification sent to Steve McIntyre <steve.mcintyre@linaro.org>:
Bug acknowledged by developer. (Tue, 19 Jul 2011 19:21:13 GMT) Full text and rfc822 format available.

Message #28 received at 632871-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 632871-close@bugs.debian.org
Subject: Bug#632871: fixed in dpkg-cross 2.6.5
Date: Tue, 19 Jul 2011 19:17:10 +0000
Source: dpkg-cross
Source-Version: 2.6.5

We believe that the bug you reported is fixed in the latest version of
dpkg-cross, which is due to be installed in the Debian FTP archive:

dpkg-cross_2.6.5.dsc
  to main/d/dpkg-cross/dpkg-cross_2.6.5.dsc
dpkg-cross_2.6.5.tar.gz
  to main/d/dpkg-cross/dpkg-cross_2.6.5.tar.gz
dpkg-cross_2.6.5_all.deb
  to main/d/dpkg-cross/dpkg-cross_2.6.5_all.deb
libdebian-dpkgcross-perl_2.6.5_all.deb
  to main/d/dpkg-cross/libdebian-dpkgcross-perl_2.6.5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 632871@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated dpkg-cross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 19 Jul 2011 18:25:39 +0100
Source: dpkg-cross
Binary: dpkg-cross libdebian-dpkgcross-perl
Architecture: source all
Version: 2.6.5
Distribution: unstable
Urgency: low
Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 dpkg-cross - tools for cross compiling Debian packages
 libdebian-dpkgcross-perl - functions to aid cross-compiling Debian packages
Closes: 632871
Changes: 
 dpkg-cross (2.6.5) unstable; urgency=low
 .
   * Add support for cross-building perl modules, patch from
     steve.mcintyre@linaro.org (Closes: #632871)
Checksums-Sha1: 
 494cc214e9e555fea1571674d61395f486bd463d 1234 dpkg-cross_2.6.5.dsc
 eb371ef1aed3b273dbf346e177d8e8be15495cc1 74730 dpkg-cross_2.6.5.tar.gz
 2e710b8ab760a88c42c0c328fd1b87b9ec670c38 53210 dpkg-cross_2.6.5_all.deb
 295082815e888c2ff759e390e010bd90a287b7b4 29100 libdebian-dpkgcross-perl_2.6.5_all.deb
Checksums-Sha256: 
 e1366af76b2b9eaa2fa4a39d7fdd298efb492606f7673525074f2ad25a72db24 1234 dpkg-cross_2.6.5.dsc
 ec23b75e5412dd75499af45e72feb643bbd7a09bbf91abfed7aae5145edab5fb 74730 dpkg-cross_2.6.5.tar.gz
 db34febf2fcc53b6d199f10a25d62af1fcfea2651303f7f326df28df873833fc 53210 dpkg-cross_2.6.5_all.deb
 7dbd00e7a45a01ba62d16505293e559c3f8d75bb6130f33bef6fbf3608612b20 29100 libdebian-dpkgcross-perl_2.6.5_all.deb
Files: 
 44457e6399c2f72664d9232a27b324aa 1234 utils extra dpkg-cross_2.6.5.dsc
 0cece7bc515e83d1c7bba9838ecdcc11 74730 utils extra dpkg-cross_2.6.5.tar.gz
 a0c7a33d1324bf103c49978fa22a99d4 53210 utils extra dpkg-cross_2.6.5_all.deb
 a17d88f6397b10e106a2820448c65806 29100 perl extra libdebian-dpkgcross-perl_2.6.5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk4l1lQACgkQiAEJSii8s+OxowCfWjoCGqVVoyh0iTYafMhIvpz7
teUAoL+WfuEaqJjAVp2/KMM9kG+WlC0k
=bVMG
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 27 Aug 2011 07:39:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:58:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.